<?
include_once "../SYSTEM/include/functions.php";
include_once BASEDIR."SYSTEM/include/mysql.php";
include_once BASEDIR."SYSTEM/include/param.php";
include_once BASEDIR."SYSTEM/include/ban.php";
include_once BASEDIR."SYSTEM/include/sess.php";
include_once BASEDIR."SYSTEM/include/ban_2.php";
include_once BASEDIR."SYSTEM/include/theme.php";
$title='Система';
$mesto='В админке';
head();

if (!isset($user) || $user['level']<3)
{
header("Location: ../index.php?".SID."");
exit;
}
echo "<div class=\"h\">Настройка системы</div><hr />\n";
if ($mail_in_new>0)echo "<div class=\"privat\"><img src=\"../SYSTEM/themes/$them/img/mail0.gif\" alt=\"\" /> <a href=\"../mail.php?act=in\">Приват</a> [$mail_in_new]</div><hr />\n";

if (isset($_GET['set']) && $_GET['set']=='ok')
{
$time_sess=$_POST['time_sess'];
$title=$_POST['title'];
$mail=$_POST['mail'];
$them=$_POST['them'];
$them2=$_POST['them2'];
$balls=intval($_POST['balls']);
$work=intval($_POST['work']);
$copyright=$_POST['copyright'];
$rekl=intval($_POST['rekl']);
$rekl_link=htmlspecialchars($_POST['rekl_link']);
$rekl_text=$_POST['rekl_text'];
$rekl_pereh_switch=intval($_POST['rekl_pereh_switch']);
$rekl_pereh_link=htmlspecialchars($_POST['rekl_pereh_link']);
$rekl_pereh=intval($_POST['rekl_pereh']);

$k_p_s=$_POST['k_p'];
$p_sw=$_POST['p_sw'];

$loaddir=$_POST['loaddir'];

$main_chat=intval($_POST['main_chat']);

mysql_query("UPDATE `$mysql[pref]set` SET `time_sess` = '$time_sess';");
mysql_query("UPDATE `$mysql[pref]set` SET `title` = '$title';");
mysql_query("UPDATE `$mysql[pref]set` SET `mail` = '$mail';");
mysql_query("UPDATE `$mysql[pref]set` SET `them` = '$them';");
mysql_query("UPDATE `$mysql[pref]set` SET `them2` = '$them2';");
mysql_query("UPDATE `$mysql[pref]set` SET `k_p_s` = '$k_p_s';");
mysql_query("UPDATE `$mysql[pref]set` SET `p_sw` = '$p_sw';");
mysql_query("UPDATE `$mysql[pref]set` SET `loaddir` = '$loaddir';");
mysql_query("UPDATE `$mysql[pref]set` SET `balls` = '$balls';");
mysql_query("UPDATE `$mysql[pref]set` SET `work` = '$work';");
mysql_query("UPDATE `$mysql[pref]set` SET `rekl_link` = '$rekl_link';");
mysql_query("UPDATE `$mysql[pref]set` SET `rekl_text` = '$rekl_text';");
mysql_query("UPDATE `$mysql[pref]set` SET `rekl` = '$rekl';");
mysql_query("UPDATE `$mysql[pref]set` SET `rekl_pereh_link` = '$rekl_pereh_link';");
mysql_query("UPDATE `$mysql[pref]set` SET `rekl_pereh` = '$rekl_pereh';");
mysql_query("UPDATE `$mysql[pref]set` SET `rekl_pereh_switch` = '$rekl_pereh_switch';");
mysql_query("UPDATE `$mysql[pref]set` SET `copyright` = '$copyright';");

if (isset($_POST['forum_show_num_post']) && $_POST['forum_show_num_post']==1)
mysql_query("UPDATE `$mysql[pref]set` SET `forum_show_num_post` = '1';");
else
mysql_query("UPDATE `$mysql[pref]set` SET `forum_show_num_post` = '0';");

mysql_query("UPDATE `$mysql[pref]set` SET `main_chat` = '$main_chat';");

action("Изменение параметров системы");
header("Location: index.php?".SID."&msg=set_ok");
exit;
}

echo "<form method=\"post\" action=\"system.php?set=ok\">\n";

echo "Режим:<br />\n";
echo "<select class=\"form\" name=\"work\">\n";

$check='';
if ($set['work']==0){$check=' selected="selected"';}
echo "<option$check value=\"0\">Нормальный режим</option>\n";

$check='';
if ($set['work']==1){$check=' selected="selected"';}
echo "<option$check value=\"1\">Режим отладки</option>\n";

$check='';
if ($set['work']==2){$check=' selected="selected"';}
echo "<option$check value=\"2\">Временно закрыт</option>\n";

echo "</select><br />\n";


echo "Заголовок:<br />\n";
echo "<input name=\"title\" class=\"form\" value=\"$set[title]\" type=\"text\" /><br />\n";
echo "Почта:<br />\n";
echo "<input name=\"mail\" class=\"form\" value=\"$set[mail]\" type=\"text\" /><br />\n";
echo "Количество пунктов на страницу:<br />\n";
echo "<input name=\"k_p\" class=\"form\" value=\"7\" type=\"text\" /><br />\n";

echo "Порядок постов в форуме (для гостей):<br />\n";
echo "<select class=\"form\" name=\"p_sw\">\n";
$check='';
if ($set['p_sw']==1){$check=' selected="selected"';}
echo "<option value=\"0\">Прямой</option>\n";
echo "<option$check value=\"1\">Обратный</option>\n";
echo "</select><br />\n";

echo "Чат на главной (для гостей):<br />\n";
echo "<select class=\"form\" name=\"main_chat\">\n";
if ($set['main_chat']==0)
{
echo "<option value=\"0\">Выключено</option>\n";
echo "<option value=\"1\">Включено</option>\n";
}
else
{
echo "<option value=\"1\">Включено</option>\n";
echo "<option value=\"0\">Выключено</option>\n";
}
echo "</select><br />\n";

echo "Тема оформления:<br />\n";
echo "<select class=\"form\" name=\"them\">\n";
$opendirthem=opendir('../SYSTEM/themes');
while ($themes=readdir($opendirthem))
{
if (is_dir("../SYSTEM/themes/$themes") && $themes!='.' && $themes!='..')
{
$check='';
if ($set['them']==$themes){$check=' selected="selected"';}
echo "<option$check value=\"$themes\">$themes</option>\n";
}
}
echo "</select><br />\n";
echo "Тема (если с компа):<br />\n";
echo "<select class=\"form\" name=\"them2\">\n";
$opendirthem2=opendir('../SYSTEM/themes');
while ($themes2=readdir($opendirthem2))
{
if (is_dir("../SYSTEM/themes/$themes2") && $themes2!='.' && $themes2!='..')
{
$check='';
if ($set['them2']==$themes2){$check=' selected="selected"';}
echo "<option$check value=\"$themes2\">$themes2</option>\n";
}
}
echo "</select><br />\n";
echo "Папка с загрузками:<br />\n";
echo "<input name=\"loaddir\" class=\"form\" value=\"$set[loaddir]\" type=\"text\" /><br />\n";
echo "Время жизни сессии в секундах:<br />\n";
echo "<input name=\"time_sess\" class=\"form\" value=\"$set[time_sess]\" type=\"text\" /><br />\n";
echo "Ограничения в баллах:<br />\n";
echo "<input name=\"balls\" class=\"form\" value=\"$set[balls]\" type=\"text\" /><br />\n";
if ($set['forum_show_num_post']==1)
echo "<input type=\"checkbox\" name=\"forum_show_num_post\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"forum_show_num_post\"  value=\"1\" />";
echo " Номера постов в форуме<br />\n";

echo "<hr />Реклама вверху страницы:<hr />\n";

echo "Ссылка:<br />\n";
echo "<input name=\"rekl_link\" class=\"form\" value=\"$set[rekl_link]\" type=\"text\" /><br />\n";
echo "Текст:<br />\n";
echo "<input name=\"rekl_text\" class=\"form\" value=\"$set[rekl_text]\" type=\"text\" /><br />\n";

if ($set['rekl']==1)
echo "<input type=\"checkbox\" name=\"rekl\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"rekl\"  value=\"1\" />";
echo " Включить<br />\n";

echo "<hr />Реклама с перенаправлением:<hr />\n";
echo "Каждый N-ый переход по сайту перенаправляется на рекламную ссылку.<br />\n";
echo "N = <input name=\"rekl_pereh\" class=\"form\" value=\"$set[rekl_pereh]\" type=\"text\" /><br />\n";

echo "Ссылка:<br />\n";
echo "<input name=\"rekl_pereh_link\" class=\"form\" value=\"$set[rekl_pereh_link]\" type=\"text\" /><br />\n";
if ($set['rekl_pereh_switch']==1)
echo "<input type=\"checkbox\" name=\"rekl_pereh_switch\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"rekl_pereh_switch\"  value=\"1\" />";
echo " Включить<br />\n";

echo "<hr />Копирайт:\n";
echo "<input name=\"copyright\" class=\"form\" value=\"$set[copyright]\" type=\"text\" /><hr />\n";
echo "<input value=\"Применить\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";


echo "<hr /><a href=\"index.php\">&lt;&lt; Админка</a><br />\n";
echo "<a href=\"../index.php\">&lt;&lt; На главную</a>\n";

foot();
?>
